
#include "rb-sample-vala-plugin.h"
#include <rb-shell.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct _SampleValaPlugin SampleValaPlugin;
typedef struct _SampleValaPluginClass SampleValaPluginClass;
typedef struct _SampleValaPluginPrivate SampleValaPluginPrivate;

#define TYPE_SAMPLE_VALA_PLUGIN (sample_vala_plugin_get_type ())
#define SAMPLE_VALA_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SAMPLE_VALA_PLUGIN, SampleValaPlugin))
#define SAMPLE_VALA_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SAMPLE_VALA_PLUGIN, SampleValaPluginClass))
#define IS_SAMPLE_VALA_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SAMPLE_VALA_PLUGIN))
#define IS_SAMPLE_VALA_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SAMPLE_VALA_PLUGIN))
#define SAMPLE_VALA_PLUGIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SAMPLE_VALA_PLUGIN, SampleValaPluginClass))

struct _SampleValaPlugin {
	RBPlugin parent_instance;
	SampleValaPluginPrivate * priv;
};
struct _SampleValaPluginClass {
	RBPluginClass parent_class;
};
enum  {
	SAMPLE_VALA_PLUGIN_DUMMY_PROPERTY
};
static void sample_vala_plugin_real_activate (RBPlugin* base, RBShell* shell);
static void sample_vala_plugin_real_deactivate (RBPlugin* base, RBShell* shell);
static SampleValaPlugin* sample_vala_plugin_new (void);
static gpointer sample_vala_plugin_parent_class = NULL;
GType sample_vala_plugin_get_type (void);
static GType sample_vala_plugin_register_type (GTypeModule * module);


static void sample_vala_plugin_real_activate (RBPlugin* base, RBShell* shell) {
	SampleValaPlugin * self;
	self = SAMPLE_VALA_PLUGIN (base);
	fprintf (stdout, "Hello world\n");
}


static void sample_vala_plugin_real_deactivate (RBPlugin* base, RBShell* shell) {
	SampleValaPlugin * self;
	self = SAMPLE_VALA_PLUGIN (base);
	fprintf (stdout, "Goodbye world\n");
}


static SampleValaPlugin* sample_vala_plugin_new (void) {
	SampleValaPlugin * self;
	self = g_object_newv (TYPE_SAMPLE_VALA_PLUGIN, 0, NULL);
	return self;
}


static void sample_vala_plugin_class_init (SampleValaPluginClass * klass) {
	sample_vala_plugin_parent_class = g_type_class_peek_parent (klass);
	RB_PLUGIN_CLASS (klass)->activate = sample_vala_plugin_real_activate;
	RB_PLUGIN_CLASS (klass)->deactivate = sample_vala_plugin_real_deactivate;
}


static void sample_vala_plugin_init (SampleValaPlugin * self) {
}


static GType sample_vala_plugin_type_id = 0;
GType sample_vala_plugin_get_type (void) {
	return sample_vala_plugin_type_id;
}


static GType sample_vala_plugin_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (SampleValaPluginClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sample_vala_plugin_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SampleValaPlugin), 0, (GInstanceInitFunc) sample_vala_plugin_init };
	sample_vala_plugin_type_id = g_type_module_register_type (module, RB_TYPE_PLUGIN, "SampleValaPlugin", &g_define_type_info, 0);
	return sample_vala_plugin_type_id;
}


GType register_rb_plugin (GTypeModule* module) {
	sample_vala_plugin_register_type (module);
	fprintf (stdout, "Registering plugin %s\n", "SampleValaPlugin");
	return TYPE_SAMPLE_VALA_PLUGIN;
}




